package cd.casic.ci.common.pipeline.pojo;

import cd.casic.ci.common.pipeline.pojo.element.atom.ManualReviewParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo
 * @Project：ops-pro
 * @name：StageReviewGroup
 * @Date：2025/03/25 16:36
 * @Filename：StageReviewGroup
 * @description：Todo
 */
@Data
@Accessors(chain = true)
@Schema(title = "Stage审核组信息")
public class StageReviewGroup {
    @Schema(title = "审核组ID(后台生成)", required = false)
    private String id;
    @Schema(title = "审核组名称", required = true)
    private String name = "Flow 1";
    @Schema(title = "审核人员", required = true)
    private List<String> reviewers = new ArrayList<>();
    @Schema(title = "审核用户组", required = false)
    private List<String> groups = new ArrayList<>();
    @Schema(title = "审核结果（枚举）", required = false)
    private String status;
    @Schema(title = "审核操作人", required = false)
    private String operator;
    @Schema(title = "审核操作时间", required = false)
    private Long reviewTime;
    @Schema(title = "审核建议", required = false)
    private String suggest;
    @Schema(title = "审核传入变量", required = false)
    private List<ManualReviewParam> params;
}
