package cd.casic.ci.common.pipeline.pojo.element.quality;

import cd.casic.ci.common.pipeline.pojo.element.Element;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.EqualsAndHashCode;

import java.util.HashSet;
import java.util.Map;
import java.util.Set;

import static cd.casic.ci.common.pipeline.constant.CommonConstants.KEY_ELEMENT_ENABLE;
import static cd.casic.ci.common.pipeline.constant.CommonConstants.KEY_TASK_ATOM;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.quality
 * @Project：ops-pro
 * @name：QualityGateOutElement
 * @Date：2025/03/26 17:41
 * @Filename：QualityGateOutElement
 * @description：Todo
 */
@EqualsAndHashCode(callSuper = true)
@Schema(title = "质量红线(准出)", description = QualityGateOutElement.classType)
public class QualityGateOutElement extends Element {
    public static final String classType = "qualityGateOutTask";

    @Schema(title = "任务名称", required = true)
    private String name = "质量红线(准出)";

    @Schema(title = "id", required = false)
    private String id;

    @Schema(title = "状态", required = false)
    private String status;

    @Schema(title = "拦截原子", required = false)
    private String interceptTask;

    @Schema(title = "拦截原子名称", required = false)
    private String interceptTaskName;

    @Schema(title = "审核人", required = false)
    private Set<String> reviewUsers = new HashSet<>();

    @Override
    public String getTaskAtom() {
        return "qualityGateOutTaskAtom";
    }

    @Override
    public String getClassType() {
        return classType;
    }

    @Override
    public Map<String, Object> initTaskVar() {
        Map<String, Object> taskVar = new java.util.HashMap<>();
        taskVar.put("name", name);
        taskVar.put("version", getVersion());
        taskVar.put(KEY_TASK_ATOM, getTaskAtom());
        taskVar.put("classType", getClassType());
        taskVar.put(KEY_ELEMENT_ENABLE, elementEnabled());
        if (interceptTask != null) {
            taskVar.put("interceptTask", interceptTask);
        }
        if (interceptTaskName != null) {
            taskVar.put("interceptTaskName", interceptTaskName);
        }
        if (reviewUsers != null) {
            taskVar.put("reviewUsers", reviewUsers);
        }
        return taskVar;
    }
}