package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.Model;
import cd.casic.ci.common.pipeline.enums.BuildStatus;
import cd.casic.ci.common.pipeline.enums.VersionStatus;
import cd.casic.ci.process.api.process.pojo.classify.PipelineGroupLabels;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：Pipeline
 * @Date：2025/03/24 15:38
 * @Filename：Pipeline
 * @description：Todo
 */
@Data
@NoArgsConstructor
@Schema(title = "流水线模型-列表信息")
public class Pipeline {
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "流水线描述", required = false)
    private String pipelineDesc;
    @Schema(title = "流水线任务数量", required = true)
    private int taskCount;
    @Schema(title = "构建次数", required = true)
    private long buildCount;
    @Schema(title = "运行锁定", required = false)
    private boolean lock;
    @Schema(title = "是否可手工启动", required = true)
    private boolean canManualStartup;
    @Schema(title = "最后构建启动时间", required = false)
    private Long latestBuildStartTime;
    @Schema(title = "最后构建结束时间", required = false)
    private Long latestBuildEndTime;
    @Schema(title = "最后构建状态", required = false)
    private BuildStatus latestBuildStatus;
    @Schema(title = "最后构建版本号", required = false)
    private Integer latestBuildNum;
    @Schema(title = "最后构建任务名称", required = false)
    @Deprecated
    private String latestBuildTaskName;
    @Schema(title = "最后任务预计执行时间（毫秒）", required = false)
    private Long latestBuildEstimatedExecutionSeconds;
    @Schema(title = "最后构建实例ID", required = false)
    private String latestBuildId;
    @Schema(title = "部署时间", required = true)
    private long deploymentTime;
    @Schema(title = "流水线创建时间", required = true)
    private long createTime;
    @Schema(title = "更新时间", required = true)
    private long updateTime;
    @Schema(title = "编排文件版本号", required = true)
    private int pipelineVersion;
    @Schema(title = "服务器当前时间戳", required = true)
    private long currentTimestamp;
    @Schema(title = "当前运行的构建的个数", required = true)
    private int runningBuildCount;
    @Schema(title = "是否有list权限", required = true)
    private boolean hasPermission;
    @Schema(title = "是否被收藏", required = true)
    private boolean hasCollect;
    @Schema(title = "最后执行人id", required = false)
    private String latestBuildUserId;
    @Schema(title = "是否从模板中实例化出来的", required = false)
    private Boolean instanceFromTemplate;
    @Schema(title = "模板ID", required = false)
    private String templateId;
    @Schema(title = "版本名称", required = false)
    private String versionName;
    @Schema(title = "版本", required = false)
    private Long version;
    @Schema(title = "流水线更新人", required = false)
    private String updater;
    @Schema(title = "流水线创建人", required = false)
    private String creator;
    @Schema(title = "流水线分组和标签", required = false)
    private List<PipelineGroupLabels> groupLabel;
    @Schema(title = "最后自定义构建版本号", required = false)
    private String latestBuildNumAlias;
    @Schema(title = "自定义构建号规则", required = false)
    private String buildNumRule;
    @Schema(title = "编排详情", required = false)
    private Model model;
    @Schema(title = "流水线组名称列表", required = false)
    private List<String> viewNames;
    @Schema(title = "最后一次构建的构建信息", required = false)
    private String lastBuildMsg;
    @Schema(title = "最后一次构建所有的任务个数", required = false)
    private Integer lastBuildTotalCount;
    @Schema(title = "最后一次构建已完成的任务个数", required = false)
    private Integer lastBuildFinishCount;
    @Schema(title = "启动类型(新)", required = false)
    private String startType;
    @Schema(title = "触发方式", required = false)
    private String trigger;
    @Schema(title = "webhook仓库别名", required = false)
    private String webhookAliasName;
    @Schema(title = "webhook提交信息", required = false)
    private String webhookMessage;
    @Schema(title = "webhook仓库地址", required = false)
    private String webhookRepoUrl;
    @Schema(title = "webhook类型", required = false)
    private String webhookType;
    @Schema(title = "是否已删除", required = false)
    private Boolean delete;
    @Schema(title = "最新流水线版本状态（如有任何发布版本则为发布版本）", required = false)
    private VersionStatus latestVersionStatus;
    @Schema(title = "流水线权限", required = false)
    private PipelinePermissions permissions;
    @Schema(title = "yaml在默认分支是否存在", required = false)
    private Boolean yamlExist;
}
