package cd.casic.ci.project.pojo.vo;

import cd.casic.ci.project.dal.pojo.SubjectScopeInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "项目-显示模型")
@SuppressWarnings("ALL")
public class ProjectDiffVO {

    @Schema(title = "主键ID")
    private Long id;

    @Schema(title = "项目ID")
    private String projectId;

    @Schema(title = "项目名称")
    private String projectName;

    @Schema(title = "审批中项目名称")
    private String afterProjectName;

    @Schema(title = "项目代码")
    private String projectCode;

    @Schema(title = "审批状态")
    private Integer approvalStatus;

    @Schema(title = "审批时间")
    private String approvalTime;

    @Schema(title = "审批人")
    private String approver;

    @Schema(title = "创建时间")
    private String createdAt;

    @Schema(title = "创建人")
    private String creator;

    @Schema(title = "事业群ID")
    private String bgId;

    @Schema(title = "审批中事业群ID")
    private String afterBgId;

    @Schema(title = "事业群名字")
    private String bgName;

    @Schema(title = "审批中事业群名字")
    private String afterBgName;

    @Schema(title = "事业线ID")
    private String businessLineId;

    @Schema(title = "审批中事业线ID")
    private Long afterBusinessLineId;

    @Schema(title = "事业线名称")
    private String businessLineName;

    @Schema(title = "审批中事业线名称")
    private String afterBusinessLineName;

    @Schema(title = "中心ID")
    private String centerId;

    @Schema(title = "审批中中心ID")
    private String afterCenterId;

    @Schema(title = "中心名称")
    private String centerName;

    @Schema(title = "审批中中心名称")
    private String afterCenterName;

    @Schema(title = "部门ID")
    private String deptId;

    @Schema(title = "审批中部门ID")
    private String afterDeptId;

    @Schema(title = "部门名称")
    private String deptName;

    @Schema(title = "审批中部门名称")
    private String afterDeptName;

    @Schema(title = "描述")
    private String description;

    @Schema(title = "审批中描述")
    private String afterDescription;

    @Schema(title = "英文缩写")
    private String englishName;

    @Schema(title = "logo地址")
    private String logoAddr;

    @Schema(title = "审批中logo地址")
    private String afterLogoAddr;

    @Schema(title = "评论")
    private String remark;

    @Schema(title = "修改时间")
    private String updatedAt;

    @Schema(title = "修改人")
    private String updator;

    @Schema(title = "项目最大可授权人员范围")
    private List<SubjectScopeInfo> subjectScopes;

    @Schema(title = "审批中的项目最大可授权人员范围")
    private List<SubjectScopeInfo> afterSubjectScopes;

    @Schema(title = "项目性质")
    private Integer authSecrecy;

    @Schema(title = "审批中项目性质")
    private Integer afterAuthSecrecy;

    @Schema(title = "项目类型")
    private Integer projectType;

    @Schema(title = "审批中项目类型")
    private Integer afterProjectType;

    @Schema(title = "运营产品ID")
    private Integer productId;

    @Schema(title = "审批中运营产品ID")
    private Integer afterProductId;

    @Schema(title = "运营产品名称")
    private String productName;

    @Schema(title = "审批中运营产品名称")
    private String afterProductName;

    @Schema(title = "流水线语言风格")
    private String pipelineDialect;

    @Schema(title = "审批中流水线语言风格")
    private String afterPipelineDialect;

    @Schema(title = "是否开启流水线命名提示")
    private Boolean enablePipelineNameTips = false;

    @Schema(title = "审批中是否开启流水线命名提示")
    private Boolean afterEnablePipelineNameTips = false;

    @Schema(title = "流水线命名格式")
    private String pipelineNameFormat;

    @Schema(title = "审批中流水线命名格式")
    private String afterPipelineNameFormat;

    @Schema(title = "构建日志归档阈值(单位:万)")
    private Integer loggingLineLimit;

    @Schema(title = "审批中构建日志归档阈值(单位:万)")
    private Integer afterLoggingLineLimit;
}
