package cd.casic.ci.log.scm.dal.pojo;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, property = "@type")
@JsonSubTypes({
        @JsonSubTypes.Type(value = CodeSvnRepository.class, name = CodeSvnRepository.CLASS_TYPE),
        @JsonSubTypes.Type(value = CodeGitRepository.class, name = CodeGitRepository.CLASS_TYPE),
        @JsonSubTypes.Type(value = CodeGitlabRepository.class, name = CodeGitlabRepository.CLASS_TYPE),
        @JsonSubTypes.Type(value = GithubRepository.class, name = GithubRepository.CLASS_TYPE),
        @JsonSubTypes.Type(value = CodeTGitRepository.class, name = CodeTGitRepository.CLASS_TYPE),
        @JsonSubTypes.Type(value = CodeP4Repository.class, name = CodeP4Repository.CLASS_TYPE)
})
@Schema(description = "代码库模型-多态基类")
public abstract class Repository {
    protected String aliasName;

    protected String url;

    protected String credentialId;

    protected String projectName;

    protected String userName;

    protected String projectId;

    protected String repoHashId;

    public abstract String getStartPrefix();

    public Boolean isLegal() {
        return url.startsWith(getStartPrefix());
    }

    public String getFormatURL() {
        return url;
    }
}
