package cd.casic.ci.log.scm.enums;

import java.util.Arrays;
import java.util.Map;
import java.util.stream.Collectors;


public enum CodeSvnRegion {
    TC("tc-svn"),
    SH("sh-svn"),
    BJ("bj-svn"),
    GZ("gz-svn"),
    CD("svn-cd1"),
    GROUP("group-svn1.group");

    private String prefix;

    CodeSvnRegion(String prefix){
        this.prefix = prefix;
    }

    public String getPrefix() {
        return prefix;
    }

    private static final Map<String, String> map = Arrays.stream(values()).collect(Collectors.toMap(CodeSvnRegion::getPrefix, Enum::toString));

    public CodeSvnRegion getRegion(String value){
        for (CodeSvnRegion region : values()) {
            if (value.startsWith(region.prefix)){
                return region;
            }
        }
        return TC;
    }
}
