package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.atom.AtomCollaboratorCreateReq;
import cd.casic.pipeline.store.pojo.atom.AtomCollaboratorCreateResp;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_USER_ID;

@Tag(name = "USER_MARKET_ATOM_COOPERATION", description = "插件-插件协作")
@RestController
@RequestMapping("/user/market/atom/cooperation")
public interface UserAtomCooperationResource {

    @Operation(summary = "为插件添加协作者")
    @PostMapping("/collaborator")
    CommonResult<AtomCollaboratorCreateResp> addAtomCollaborator(
            @Parameter(description = "userId", required = true)
            @RequestHeader(AUTH_HEADER_USER_ID)
            String userId,
            @Parameter(description = "申请成为插件协作者请求报文体", required = true)
            AtomCollaboratorCreateReq atomCollaboratorCreateReq
    );
}