package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.label.Label;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "USER_PIPELINE_ATOM_LABEL", description = "流水线-插件标签")
@RestController
@RequestMapping("/user/market/atom/label")
public interface UserAtomLabelResource {

    @Operation(summary = "获取所有插件标签信息")
    @GetMapping("/labels")
    CommonResult<List<Label>> getAllAtomLabels();

    @Operation(summary = "根据插件ID获取插件标签信息")
    @GetMapping("/atomIds/{atomId}/labels")
    CommonResult<List<Label>> getAtomLabelsByAtomId(
            @Parameter(description = "插件ID", required = true)
            @PathVariable("atomId")
            String atomId
    );
}