package cd.casic.pipeline.store.api.common;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.UpdateStorePipelineModelRequest;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_USER_ID;

@Tag(name = "OP_STORE_PIPELINE", description = "OP-STORE-流水线")
@RestController
@RequestMapping("/op/store/pipeline")
public interface OpStorePipelineResource {

    @Operation(summary = "更新研发商店组件流水线模型")
    @PutMapping("/model/update")
    CommonResult<Boolean> updateStorePipelineModel(
            @Parameter(description = "userId", required = true)
            @RequestHeader(AUTH_HEADER_USER_ID)
            String userId,
            @Parameter(description = "更新研发商店流水线模型请求报文")
            UpdateStorePipelineModelRequest updateStorePipelineModelRequest
    );
}