package cd.casic.pipeline.store.api.common;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import cd.casic.pipeline.store.pojo.common.publication.PublisherInfo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_USER_ID;

@Tag(name = "USER_MARKET_PUBLISHERS", description = "研发商店-发布者")
@RestController
@RequestMapping("/user/market/publishers")
public interface UserStorePublishersResource {

    @Operation(summary = "获取发布组件可选发布者")
    @GetMapping("/get")
    CommonResult<List<PublisherInfo>> getPublishers(
            @Parameter(description = "userId", required = true)
            @RequestHeader(AUTH_HEADER_USER_ID)
            String userId,
            @Parameter(description = "storeCode", required = true)
            @RequestParam("storeCode")
            String storeCode,
            @Parameter(description = "storeType", required = true)
            @RequestParam("storeType")
            StoreTypeEnum storeType
    );
}