package cd.casic.pipeline.store.pojo.atom;

import cd.casic.pipeline.store.pojo.atom.enums.JobTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

@Data
@Schema(title = "插件运行时信息")
public class AtomRunInfo {
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "插件名称", required = true)
    private String atomName;
    @Schema(title = "插件版本号", required = true)
    private String version;
    @Schema(title = "插件状态", required = false)
    private Byte atomStatus;
    @Schema(title = "插件初始化项目代码", required = true)
    private String initProjectCode;
    @Schema(title = "Job类型", required = false)
    private JobTypeEnum jobType;
    @Schema(title = "无构建环境插件是否可以在有构建环境运行标识", required = false)
    private Boolean buildLessRunFlag;
    @Schema(title = "输入字段类型信息数据", required = false)
    private Map<String, String> inputTypeInfos;
}