package cd.casic.pipeline.store.pojo.common;

import cd.casic.pipeline.store.pojo.common.index.StoreIndexInfo;
import cd.casic.pipeline.store.pojo.common.statistic.StoreDailyStatistic;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "研发商店组件信息")
public class MarketItem {
    @Schema(title = "ID", required = true)
    private String id;
    
    @Schema(title = "名称", required = true)
    private String name;
    
    @Schema(title = "组件标识", required = true)
    private String code;
    
    @Schema(title = "版本号", required = true)
    private String version;
    
    @Schema(title = "状态", required = true)
    private String status;
    
    @Schema(title = "组件类型", required = true)
    private String type;
    
    @Schema(title = "研发来源类型", required = false)
    private String rdType;
    
    @Schema(title = "分类", required = true)
    private String classifyCode;
    
    @Schema(title = "所属范畴，多个范畴标识用逗号分隔", required = false)
    private String category;
    
    @Schema(title = "logo链接", required = false)
    private String logoUrl;
    
    @Schema(title = "发布者", required = true)
    private String publisher;
    
    @Schema(title = "支持的操作系统", required = false)
    private List<String> os;
    
    @Schema(title = "下载量", required = false)
    private Integer downloads;
    
    @Schema(title = "评分", required = false)
    private Double score;
    
    @Schema(title = "简介", required = false)
    private String summary;
    
    @Schema(title = "是否有权限安装标识", required = true)
    private Boolean flag;
    
    @Schema(title = "是否公共标识", required = true)
    private Boolean publicFlag;
    
    @Schema(title = "无编译环境组件是否可以在编译环境下执行标识", required = false)
    private Boolean buildLessRunFlag;
    
    @Schema(title = "帮助文档", required = false)
    private String docsLink;
    
    @Schema(title = "修改人", required = true)
    private String modifier;
    
    @Schema(title = "修改时间", required = true)
    private String updateTime;
    
    @Schema(title = "是否推荐标识 true：推荐，false：不推荐", required = false)
    private Boolean recommendFlag;
    
    @Schema(title = "yaml可用标识 true：是，false：否", required = false)
    private Boolean yamlFlag;
    
    @Schema(title = "是否已在该项目安装 true：是，false：否", required = false)
    private Boolean installed;
    
    @Schema(title = "每日统计信息列表", required = false)
    private List<StoreDailyStatistic> dailyStatistics;
    
    @Schema(title = "指标信息", required = false)
    private StoreIndexInfo indexInfo;
}