package cd.casic.pipeline.store.pojo.common.platform;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "store组件对接平台信息")
public class StoreDockingPlatformInfo {
    @Schema(title = "环境变量ID", required = true)
    private String id;
    
    @Schema(title = "平台代码", required = true)
    private String platformCode;
    
    @Schema(title = "平台名称", required = true)
    private String platformName;
    
    @Schema(title = "网址", required = false)
    private String website;
    
    @Schema(title = "简介", required = true)
    private String summary;
    
    @Schema(title = "负责人", required = true)
    private String principal;
    
    @Schema(title = "平台logo地址", required = false)
    private String logoUrl;
    
    @Schema(title = "标签", required = false)
    private List<String> labels;
    
    @Schema(title = "所属机构名称", required = true)
    private String ownerDeptName;
    
    @Schema(title = "添加用户", required = true)
    private String creator;
    
    @Schema(title = "修改用户", required = true)
    private String modifier;
    
    @Schema(title = "添加时间", required = true)
    private String createTime;
    
    @Schema(title = "修改时间", required = true)
    private String updateTime;
}