package cd.casic.pipeline.store.pojo.container;

import cd.casic.ci.common.pipeline.type.BuildType;
import cd.casic.pipeline.store.pojo.app.ContainerAppWithVersion;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@Schema(title = "流水线-构建容器接口响应信息")
public class ContainerResp {
    @Schema(title = "构建容器ID", required = true)
    private String id;
    
    @Schema(title = "构建容器名称", required = true)
    private String name;
    
    @Schema(title = "流水线容器类型", required = true)
    private String type;
    
    @Schema(title = "操作系统", required = true)
    private String baseOS;
    
    @Schema(title = "容器是否为必需", required = true)
    private String required;
    
    @Schema(title = "最长排队时间", required = false)
    private Integer maxQueueMinutes;
    
    @Schema(title = "最长运行时间", required = false)
    private Integer maxRunningMinutes;
    
    @Schema(title = "默认的构建资源，当操作系统为linux时返回", required = false)
    private String defaultPublicBuildResource;
    
    @Schema(title = "支持的构建资源类型", required = false)
    private List<ContainerBuildType> typeList;
    
    @Schema(title = "默认的构建资源类型", required = false)
    private BuildType defaultBuildType;
    
    @Schema(title = "自定义扩展容器前端表单属性字段的Json串", required = false)
    private Map<String, Object> props;
    
    @Schema(title = "编译环境信息", required = false)
    private List<ContainerAppWithVersion> apps;
    
    @Schema(title = "支持的构建资源", required = false)
    private Map<BuildType, ContainerResource> resources;
}