package cd.casic.pipeline.store.pojo.image.enums;

import lombok.Getter;

@Getter
public enum ImageAgentTypeEnum {
    DOCKER(0), // Docker on Devnet 物理机
    IDC(1), // Docker on IDC CVM
    PUBLIC_DEVCLOUD(2), // Docker on DevCloud
    KUBERNETES(3); // Kubernetes

    private final int type;

    ImageAgentTypeEnum(int type) {
        this.type = type;
    }

    public static ImageAgentTypeEnum getImageAgentType(String name) {
        if (name.equalsIgnoreCase(KUBERNETES.name())) {
            return DOCKER;
        }

        for (ImageAgentTypeEnum enumObj : values()) {
            if (enumObj.name().equalsIgnoreCase(name)) {
                return enumObj;
            }
        }
        return null;
    }

    public static String getImageAgentType(int type) {
        switch (type) {
            case 0: return DOCKER.name();
            case 1: return IDC.name();
            case 2: return PUBLIC_DEVCLOUD.name();
            case 3: return KUBERNETES.name();
            default: return DOCKER.name();
        }
    }

    public static ImageAgentTypeEnum[] getAllAgentTypes() {
        return new ImageAgentTypeEnum[] {
            DOCKER,
            IDC,
            PUBLIC_DEVCLOUD,
            KUBERNETES
        };
    }
}