package cd.casic.ci.ticket.dal.pojo;

import cd.casic.ci.ticket.dal.enums.CredentialType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：mianbin
 * @Package：cd.casic.pipeline.dal.pojo
 * @Project：ops-pro
 * @name：CredentialCreate
 * @Date：2025/03/22 15:19
 * @Filename：CredentialCreate
 */
@Data
@Schema(title = "凭据-创建时内容")
@AllArgsConstructor
@NoArgsConstructor
public class CredentialCreate {
    @Schema(title = "凭据ID", required = true)
    private String credentialId;
    @Schema(title = "凭据名称", required = true)
    private String credentialName;
    @Schema(title = "凭据类型", required = true)
    private CredentialType credentialType;
    @Schema(title = "凭据描述", required = false)
    private String credentialRemark;
    @Schema(title = "凭据内容", required = true)
    private String v1;
    @Schema(title = "凭据内容", required = true)
    private String v2;
    @Schema(title = "凭据内容", required = true)
    private String v3;
    @Schema(title = "凭据内容", required = true)
    private String v4;
}
